{"info":{"title":"A feathers swagger test","description":"Shows how to use feathers swagger","version":"1.0.0"},"schemes":["http","https"],"paths":{"/users":{"get":{"parameters":[{"description":"Number of results to return","in":"query","name":"$limit","schema":{"type":"integer"}},{"description":"Number of results to skip","in":"query","name":"$skip","schema":{"type":"integer"}},{"description":"Property to sort results","in":"query","name":"$sort","style":"deepObject","schema":{"type":"object"}},{"description":"Query parameters to filter","in":"query","name":"filter","style":"form","explode":true,"schema":{"$ref":"#/components/schemas/users"}}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/users_list"}}}},"401":{"description":"not authenticated"},"500":{"description":"general error"}},"description":"Retrieves a list of all resources from the service.","summary":"","tags":["users"],"security":[]},"post":{"parameters":[],"responses":{"201":{"description":"created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/users"}}}},"401":{"description":"not authenticated"},"500":{"description":"general error"}},"description":"Creates a new resource with data.","summary":"","tags":["users"],"security":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/users"}}}}}},"/users/{_id}":{"get":{"parameters":[{"in":"path","name":"_id","description":"ID of users to return","schema":{"type":"integer"},"required":true}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/users"}}}},"401":{"description":"not authenticated"},"404":{"description":"not found"},"500":{"description":"general error"}},"description":"Retrieves a single resource with the given id from the service.","summary":"","tags":["users"],"security":[]},"put":{"parameters":[{"in":"path","name":"_id","description":"ID of users to update","schema":{"type":"integer"},"required":true}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/users"}}}},"401":{"description":"not authenticated"},"404":{"description":"not found"},"500":{"description":"general error"}},"description":"Updates the resource identified by id using data.","summary":"","tags":["users"],"security":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/users"}}}}},"patch":{"parameters":[{"in":"path","name":"_id","description":"ID of users to update","schema":{"type":"integer"},"required":true}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/users"}}}},"401":{"description":"not authenticated"},"404":{"description":"not found"},"500":{"description":"general error"}},"description":"Updates the resource identified by id using data.","summary":"","tags":["users"],"security":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/users"}}}}},"delete":{"parameters":[{"in":"path","name":"_id","description":"ID of users to remove","schema":{"type":"integer"},"required":true}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/users"}}}},"401":{"description":"not authenticated"},"404":{"description":"not found"},"500":{"description":"general error"}},"description":"Removes the resource with id.","summary":"","tags":["users"],"security":[]}},"/tasks":{"get":{"parameters":[{"description":"Number of results to return","in":"query","name":"$limit","schema":{"type":"integer"}},{"description":"Number of results to skip","in":"query","name":"$skip","schema":{"type":"integer"}},{"description":"Property to sort results","in":"query","name":"$sort","style":"deepObject","schema":{"type":"object"}},{"description":"Query parameters to filter","in":"query","name":"filter","style":"form","explode":true,"schema":{"$ref":"#/components/schemas/tasks"}}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/tasks_list"}}}},"401":{"description":"not authenticated"},"500":{"description":"general error"}},"description":"Retrieves a list of all resources from the service.","summary":"","tags":["tasks"],"security":[]},"post":{"parameters":[],"responses":{"201":{"description":"created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/tasks"}}}},"401":{"description":"not authenticated"},"500":{"description":"general error"}},"description":"Creates a new resource with data.","summary":"","tags":["tasks"],"security":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/tasks"}}}}}},"/tasks/{_id}":{"get":{"parameters":[{"in":"path","name":"_id","description":"ID of tasks to return","schema":{"type":"integer"},"required":true}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/tasks"}}}},"401":{"description":"not authenticated"},"404":{"description":"not found"},"500":{"description":"general error"}},"description":"Retrieves a single resource with the given id from the service.","summary":"","tags":["tasks"],"security":[]},"put":{"parameters":[{"in":"path","name":"_id","description":"ID of tasks to update","schema":{"type":"integer"},"required":true}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/tasks"}}}},"401":{"description":"not authenticated"},"404":{"description":"not found"},"500":{"description":"general error"}},"description":"Updates the resource identified by id using data.","summary":"","tags":["tasks"],"security":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/tasks"}}}}},"patch":{"parameters":[{"in":"path","name":"_id","description":"ID of tasks to update","schema":{"type":"integer"},"required":true}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/tasks"}}}},"401":{"description":"not authenticated"},"404":{"description":"not found"},"500":{"description":"general error"}},"description":"Updates the resource identified by id using data.","summary":"","tags":["tasks"],"security":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/tasks"}}}}},"delete":{"parameters":[{"in":"path","name":"_id","description":"ID of tasks to remove","schema":{"type":"integer"},"required":true}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/tasks"}}}},"401":{"description":"not authenticated"},"404":{"description":"not found"},"500":{"description":"general error"}},"description":"Removes the resource with id.","summary":"","tags":["tasks"],"security":[]}}},"components":{"schemas":{}},"openapi":"3.0.2","tags":[{"name":"users","description":"A users service"},{"name":"tasks","description":"A tasks service"}]}